package com.gz.mapper.system;

import com.gz.dto.system.LogDTO;
import com.gz.rvo.system.LogRVO;
import com.gz.vo.system.LogVO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 系统日志Mapper
 * @author LiuchangLan
 * @date 2020/9/4 11:53
 */
public interface LogMapper extends Mapper<LogDTO> {

    List<LogRVO> selectByTime(LogVO logVO);

    List<String> selectLogModule();

    List<String> selectLogBusiness(String module);

    Integer clearAll();

    Integer clearThirtyOut();

    Integer selectCountByTime(LogVO logVO);
}
